Skip to main content
POST
/
orders
/
upload
Upload Orders
curl --request POST \
  --url https://api.nuwebgroup.com/v1/orders/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "topups": [
    {
      "currencyId": 4,
      "customerId": 23,
      "amount": 4500,
      "date": "2022-02-24T14:22:44.000000Z",
      "uuid": "fee5481d-1de3-46eb-b5b6-ab99199f55bc",
      "paymentMethod": "cash",
      "latitude": "37.3942380845",
      "longitude": "-122.1501381570",
      "user_id": 1,
      "source": {
        "type": "nfc_tag",
        "id": "F2DA2BC"
      }
    }
  ],
  "purchases": [
    {
      "currencyId": 4,
      "customerId": 23,
      "amount": 4500,
      "date": "2022-02-24T14:22:44.000000Z",
      "uuid": "fee5481d-1de3-46eb-b5b6-ab99199f55bc",
      "paymentMethod": "cash",
      "latitude": "37.3942380845",
      "longitude": "-122.1501381570",
      "user_id": 1,
      "source": {
        "type": "nfc_tag",
        "id": "F2DA2BC"
      },
      "items": [
        {
          "id": 6,
          "price": 1250,
          "refunded": true
        }
      ]
    }
  ],
  "cashouts": [
    {
      "currencyId": 4,
      "customerId": 23,
      "amount": 4500,
      "date": "2022-02-24T14:22:44.000000Z",
      "uuid": "fee5481d-1de3-46eb-b5b6-ab99199f55bc",
      "source": {
        "type": "nfc_tag",
        "id": "F2DA2BC"
      }
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

async
boolean

Whether to execute the request asyncronously

asyncUuid
string

UUID for the async request

Body

application/json

Request uploading orders.

topups
object[]
purchases
object[]
cashouts
object[]

Response

Successfully uploaded the orders.

success
boolean